Bug 89822 - [ All ]igt/pm_sseu fail
Summary: [ All ]igt/pm_sseu fail
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-30 06:36 UTC by ye.tian
Modified: 2017-10-06 14:30 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg with drm.debug info (126.50 KB, text/plain)
2015-03-30 06:36 UTC, ye.tian
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ye.tian 2015-03-30 06:36:27 UTC
Created attachment 114721 [details]
dmesg with drm.debug info

System Environment:       
-----------------------------------------------------
Regression:  not sure, new case in recently
Non-working platforms: all

==Kernel==
--------------------------------------------------
commit 07e5c9b5061ad65c85285c0bb9ecd5626ed301d0
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Mar 27 15:29:51 2015 +0100

drm-intel-nightly: 2015y-03m-27d-14h-29m-07s UTC integration manifest

==Bug detailed description==
Igt/pm_rps fail

Output:
[root@x-hnr9 tests]# ./pm_sseu
IGT-Version: 1.10-g11291fd (x86_64) (Linux: 4.0.0-rc5_drm-intel-nightly_07e5c9_20150328+ x86_64)
Test assertion failure function gem_init, file pm_sseu.c:278:
Failed assertion: gem.spinfunc
Stack trace:
  #0 [__igt_fail_assert+0xfc]
  #1 [__real_main365+0x70e]
  #2 [main+0x21]
  #3 [__libc_start_main+0xf5]
  #4 [_start+0x29]
  #5 [<unknown>+0x29]
Test pm_sseu failed.
**** DEBUG ****
(pm_sseu:4477) DEBUG: Test requirement passed: !(dbg.status_fd == -1)
Test requirement passed: fd >= 0
Test assertion failure function gem_init, file pm_sseu.c:278:
Failed assertion: gem.spinfunc
****  END  ****
Subtest full-enable: FAIL
Reproduce steps:
----------------------------
1, ./pm_sseu
Comment 1 Jeff McGee 2015-04-04 01:21:24 UTC
This is a bug in the test. It should have skipped pre-Gen8 devices as soon as the Gen was determined in the setup. Patch submitted to fix this: http://lists.freedesktop.org/archives/intel-gfx/2015-April/063895.html
Comment 2 ye.tian 2015-04-07 02:46:25 UTC
(In reply to Jeff McGee from comment #1)
> This is a bug in the test. It should have skipped pre-Gen8 devices as soon
> as the Gen was determined in the setup. Patch submitted to fix this:
> http://lists.freedesktop.org/archives/intel-gfx/2015-April/063895.html

Tested it on the latest nightly kerenl with this patch, it is successful on SKL, it is skip on the other platform.
So verified it.
Comment 3 Elizabeth 2017-10-06 14:30:48 UTC
Closing old verified.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.